<?php
/**
 *
 * @category        Bakery Payment_method (bakery version 1.6)
 * @package         Mollie (NL) API version
 * @author          Dev4me - Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.3 and higher
 * @version         1.0
 * @lastmodified    June 19, 2015
 *
 */


// Get transaction id and status from db
$query_customers = $database->query("SELECT transaction_id, transaction_status FROM ".TABLE_PREFIX."mod_bakery_customer WHERE order_id = '{$_SESSION['bakery']['order_id']}'");
if ($query_customers->numRows() > 0) {
	$customer = $query_customers->fetchRow();
	$transaction_status = stripslashes($customer['transaction_status']);
} else {
	return;
}

// Check if the payment has been canceled by user
if ($transaction_status != 'paid') {
	$payment_status = "canceled";	
	return;
}

// Check if the payment has been completed successfull
elseif ($transaction_status == 'paid') {
	$payment_status = "success";	
	$email_sent = true;
	return;
}

// Check if there has been an error during payment processing
else {
	$payment_status = "error";
	return;
}
?>